//*************************************************************
//  File name: RECTVIEW.H
//
//  Description:
//     Declares the interface for the CRectView class
//
//  History:    Date       Author     Comment
//              3/7/94     FJB        Created
//
// Written by Microsoft Product Support Services, Windows Developer Support
// Copyright (c) 1994 Microsoft Corporation. All rights reserved.
//*************************************************************

//*************************************************************
//  Class:
//      CRectView 
//
//  Description:
//      AppWizard generated view class that draws a rectangle of random color
//      and size.
//
//  Derived from:
//      CModView
//
//  Data Members:
//      None
//
//  Member Functions:
//      CRectView      : Constructor
//     ~CRectView      : Destructor
//      GetDocument    : Returns a CMulticonDoc*
//      OnDraw         : Draws an rectangle
//
//  Comments
//      This class is derived from CModView, a CView derived class that
//      exposes a public OnDraw override.
//
//  History:    Date       Author     Comment
//              3/7/94     FJB        Created
//
//*************************************************************  
class CRectView : public CModView
{
   DECLARE_DYNCREATE(CRectView)
protected:
   CRectView();         // protected constructor used by dynamic creation

// Attributes
public: 
   CMulticonDoc* GetDocument() {return (CMulticonDoc*) m_pDocument;}

// Operations
public: 
   virtual  void OnDraw(CDC* pDC);     // overridden to draw this view


// Implementation
protected:
   virtual ~CRectView();

   // Generated message map functions
protected:
   //{{AFX_MSG(CRectView)
      // NOTE - the ClassWizard will add and remove member functions here.
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
